packages:
  all:
    target: ["icelake"]
    require:
      - spec: ^openmpi +cuda target=icelake
        when: '%gcc ^mpi'

      - spec: cuda_arch=90 target=icelake
        when: '+cuda'

      - spec: "^cuda target=icelake"
        when: '^cuda'

      - '+cuda'
